uniform sampler2D tex0; // assumed character map texture is square.

uniform vec2 dimensions; // how many letters per row

// define our varying texture coordinates 
varying vec2 texcoord0;

uniform float glyph; // selected index for our glyph

void main (void) 
{
	
	float glyphMix = fract(glyph);
	float glyphIndex = floor(glyph);
			
	// find our row and column from our index
	float row1 = mod(float(int(glyphIndex) / int(dimensions.x)), dimensions.x);
	float col1 = mod(glyphIndex, dimensions.y);

	vec2 glyphTextureCoord1 = vec2(
	    (col1 + texcoord0.x) / dimensions.x,
	    (row1 + texcoord0.y) / dimensions.y);

	gl_FragColor = texture2D(tex0, glyphTextureCoord1);
}